<div class="item_preview"> 
  <h2>HTML Help</h2>
  <h3>Introduction</h3>
  <p>One of the bragging points of this Content Management System is in the fact 
    that it produces valid, accessible markup for your website. Still, I've tried 
    to also grant a lot of freedom and flexibility to you as well. Naturally, 
    some of the markup created is out of my control. If you enter garbage HTML 
    into the forms, then I cannot help that. Regardless, every effort has been 
    made on my end to ensure the quality of the HTML created by this system. The 
    importance of standards compliance and accessibility cannot be overstated, 
    in my opinion. For this reason, I've chosen to include this section of the 
    CMS in order to help you understand the basics of HTML and point you in the 
    right direction in terms of getting good quality information about how to 
    author quality HTML</p>
  <h3>HTML Elements</h3>
  <p>An &quot;element&quot; in HTML is often incorrectly referred to as a &quot;tag&quot;. 
    An element is a thing that defines the structural purpose of a piece of content. 
    For example, &lt;p&gt; defines a paragraph:</p>
  <blockquote> 
    <p>&lt;p&gt;This defines a paragraph of text&lt;/p&gt;</p>
  </blockquote>
  <p>I have compiled two lists of HTML elements: the full list and the &quot;safe&quot; 
    list. The full list contains the entire list of HTML elements within the spec 
    by the <a href="http://www.w3.org">W3C</a>. These elements can be used in 
    limited areas within the CMS forms, such as the band bio entry. The &quot;safe&quot; 
    list contains a limited number of HTML elements I consider to be risk-free 
    in areas where you may really screw up your site if you used other HTML elements.</p>
  <ul>
    <li><a href="index.php?action=allhtml">View the full list</a></li>
    <li><a href="index.php?action=safehtml">View the &quot;safe&quot; list</a></li>
  </ul>
  <h3>HTML Attributes</h3>
  <p>I have also compiled a list of HTML attributes. An <em>attribute</em> is 
    used to help further define a piece of content. For example, the <em>id</em> 
    attribute identifies a specific item on the document:</p>
  <blockquote> 
    <p>&lt;p id=&quot;intro&quot;&gt;This paragraph has been identified as the 
      intro&lt;/p&gt;</p>
  </blockquote>
  <p>Because the list of HTML elements are limited, there's no need for me to 
    limit the attributes you're allowed to use. As long as the attribute is valid 
    for a permitted element, go ahead and use it</p>
  <ul>
    <li><a href="index.php?action=htmlattr">View the list of attributes</a></li>
  </ul>
  <h3>Links To More Information</h3>
  <p>The links below have my full endorsement for the accuracy of information 
    they provide.</p>
  <ul>
  <li><a href="http://www.amazon.com/exec/obidos/tg/listmania/list-browse/-/1B2AZ0S6Y7TZU/102-6965820-3611311">List of HTML books on Amazon.com</a></li>
    <li><a href="index.php?action=htmltutes">Tutorials</a></li>
    <li><a href="index.php?action=htmlarticles">Articles</a></li>
  </ul>
</div>
