<?php
// Page header
print("<h1>Upcoming $the_band Shows</h1>\n");

// this selects the table and orders the results by the date
// it only selects the listings that have been allowed by the webmaster
// first, we establish yesterday as a date to begin in case anyone is looking up a show to go to tonight and it is late
$yesterday = date("Y-m-d", mktime (0,0,0,date("m")  ,date("d")-1,date("Y")));

// first, lets get a count of how many upcoming shows are in the database
$shows_count = "
	SELECT 
		count(*)
	AS
		count 
	FROM 
		shows 
	WHERE 
		showdate>=$yesterday";
$result = mysql_query($shows_count);
$row = mysql_fetch_array($result);
$num_shows = $row['count'];

// if there aren't any releases, then lets generate a user-friendly notice that there aren't any	
if ($num_shows < 1){
	print("<p class=\"warn\">There Are Currently No Upcoming Shows</p>\n");
}

// if there *are* shows, let's display them
else{
	// define the query and get the result
	$query = "
		SELECT 
			* 
		FROM 
			shows 
		WHERE 
			showdate >= '$yesterday' 
		ORDER BY 
			showdate";
	$result = mysql_query($query);
	
	// define the variables for output and create the display loop
	while ( $row = mysql_fetch_array($result))
		{
		$rec_id = $row['rec_id'];
		$showdate = $row['showdate'];
		$venue_name = $row['venue_name'];
		$venue_street = $row['venue_street'];
		$venue_city = $row['venue_city'];
		$venue_state = $row['venue_state'];
		$venue_website = $row['venue_website'];
		$other_bands = $row['other_bands'];
		$doors = $row['doors'];
		$admission = $row['admission'];
		$ages = $row['ages'];
		$comments = $row['comments'];
		$date_added = $row['date_added'];
		$flier = $row['flier'];
		$flier_thumb = $row['flier_thumb'];
			
		// shorten the ID
		$id = $rec_id;
		
		// this next bit sets up the variables that define the popup window width for the item
		// if there is a picture of the item
		if(strlen($flier) > 2){
			// get the dimensions of the item's picture
			list($width, $height, $type, $attr) = getimagesize("images/fliers/$flier");
			// set the popup width to be 20 pixels wider than the image
			$flier_pop_width = $width + 20;
			// set the popup width to be 20 pixels taller than the image
			$flier_pop_height = $height + 20;
		}
		
		// fix unpredictable input
		$venue_name = htmlspecialchars($venue_name);
		$venue_name = strtoupper($venue_name);
		$venue_name = strtolower($venue_name);
		$venue_name = ucwords($venue_name);
		
		// makes sure we precede the website with http://
		$venue_website = ereg_replace("http://","",$venue_website);
		$venue_website = "http://".$venue_website;
		
		$other_bands = htmlspecialchars($other_bands);
		$other_bands = nl2br($other_bands);
		
		$venue_street = htmlspecialchars($venue_street);
		$venue_street = strtoupper($venue_street);
		$venue_street = strtolower($venue_street);
		$venue_street = ucwords($venue_street);
		
		$venue_city = htmlspecialchars($venue_city);
		$venue_city = strtoupper($venue_city);
		$venue_city = strtolower($venue_city);
		$venue_city = ucwords($venue_city);
		
		//$comments = htmlspecialchars($comments);
		$comments = nl2br($comments);
		$comments = addLinks($comments);
		
		// This next bit sets the country for the mapquest link
		// if the venue_state is in Canada, set the country to CA
		if (($venue_state == "AB") || 
		($venue_state == "BC") || 
		($venue_state == "MB") || 
		($venue_state == "NB") || 
		($venue_state == "NL") || 
		($venue_state == "NT") || 
		($venue_state == "NS") || 
		($venue_state == "NU") || 
		($venue_state == "ON") || 
		($venue_state == "PE") || 
		($venue_state == "QC") || 
		($venue_state == "YT")){
			$venue_country = "CA";
		}
		// if the venue_state isn't in Canada then set the country to US
		else{
			$venue_country = "US";
		}
		
		// these two lines convert the date from the lame-o  mySQL format of 0000-00-00 and converts it
		// it will now display in an American style month-name, date, and year format such as January 10, 2003
		list($year, $month, $day) = explode("-", $showdate);
		$american_date = date("l, F d, Y", mktime(0,0,0,$month,$day,$year));
		
		// this takes the now-formatted and ordered information from the database and outputs it to the screen for display
		// start the display table
		print ( "\n<table class=\"show_result\" summary=\"This table displays details for our show on $american_date\">\n
		<thead>\n
        <tr>\n 
        <th width=\"50%\">$american_date</th>\n
        <th width=\"50%\">\n");
		
		// if a venue website was added, create a link to it when displaying the venue name
		if ((strlen($venue_website)) > 7){
			print("<a href=\"$venue_website\">$venue_name</a> \n");
		}
		// if no venue website was added, then just display the venue name
		else{
			print("$venue_name ");
		}
		
		// get back to it
		print("<br />$venue_city $venue_state</th>\n
		</tr>\n
		</thead>\n
		<tr>\n 
		<td colspan=\"2\" style=\"padding: 5px;\">\n");
		
		// if there's a thumbnail in the database, display it
		if (strlen($flier_thumb) > 0){
			print("<div class=\"flier_thumb_div\"><img src=\"images/fliers/$flier_thumb\" alt=\"thumbnail of our flier for $american_date\" />\n");
			
			// if there's a full size picture in the database, create a link to it
			// the way the images are inserted, the thumbnail itself is created automatically from the full-size picture
			// however, you can never be too certain that the users won't bugger something up in the database
			if (strlen($flier) > 3){
				print("<div><a href=\"images/fliers/$flier\" onclick=\"window.open('images/fliers/$flier', 'flier', 'toolbar=no, location=no, status=no, menubar=no, scrollbars=no, resizable=yes, width=$flier_pop_width, height=$flier_pop_height'); return false\">View Full Size Flier</a></div></div>\n");
			}
		// if there is no full-size pic, then let's close the item_thumb_div
			else{
				print("</div>\n");
			}
		}
		
		// if other bands were entered, display them
		if ((strlen($other_bands)) > 0) {
			print("<div><strong>With:</strong> $other_bands<br />\n" );
		}
		
		// if an admission price was entered, display it
		if ((strlen($admission)) > 0) {
			print ("<strong>Admission:</strong> $admission<br />\n" );
		}
		
		// if a door time was entered, display it
		if ((strlen($doors)) > 0) {        
			print ("<strong>Doors:</strong> $doors<br />\n");
		}
		
		// if an ages policy was entered, display it
		if ((strlen($ages)) > 0) {
			print("<strong>Ages:</strong> $ages<br />\n" );
		}
		
		// if the venue website was entered, create a link to it when displaying the venue na,e
		if ((strlen($venue_website)) > 7){ 
			print ( "<strong>Located At:</strong> <a href=\"$venue_website\">$venue_name</a>\n "); 
		}
		
		// otherwise, just display the venue name
		else { 
			print ( "<strong>Located At:</strong> $venue_name");
		}
		
		// print the other venue name	
		print ("$venue_street $venue_city $venue_state <br />\n" );
		
		// if comments were added, then display them
		if ((strlen($comments)) > 2) {
			print ( "<em>$comments</em><br />\n" );
		}
		
		// if the venue street was added, lets make a mapquest link to the venue	
		if ((strlen($venue_street)) > 5) {
			print (" <a href=\"http://www.mapquest.com/maps/map.adp?city=$venue_city&amp;state=$venue_state&amp;address=$venue_street&amp;country=$venue_country&amp;zoom=5\">Get Directions From Mapquest</a>\n");
		}	
		
		//close the table	   
		print ("</div>\n</td></tr>\n</table>\n" );
		
		}// close the loop to display the show(s)
		
		// if they've said they want a show archive on the site, print a link to it.
		if($showarchive == "yes"){
			// as long as there's one show in the database, create a "past shows" link
			if ($num_shows > 1){
				print("<p>See our <a href=\"pastshows.php\" title=\"to a page with past shows by $the_band\">past shows</a></p>\n");
			}
		}
} // close everything
		
?>